at.chipkarte.client.muhi.soap

## Class SvPatientin

- Object
- - at.chipkarte.client.muhi.soap.SvPatientin

-     public class SvPatientin
      extends Object

  Beinhaltet die Daten der Patientin beziehungsweise der Versicherten aus dem eCS.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvPatientin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGeburtsdatum()` Geburtsdatum der Patientin.
    `String` | `getTitelHinten()` Titel hinter dem Namen.
    `String` | `getTitelVorne()` Titel vor dem Namen.
    `String` | `getVorname()` Vorname der Patientin.
    `String` | `getVsnr()` Versicherungsnummer der Patientin.
    `String` | `getZuname()` Zuname / Familienname der Patientin.
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setVorname(String vorname)`
    `void` | `setVsnr(String vsnr)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvPatientin

          public SvPatientin()

  - ### Method Detail

    - #### getVsnr

          public String getVsnr()

      Versicherungsnummer der Patientin.
      Format: 10-stellig
      Angabe: Muss.
      Returns:
        vsnr

    - #### setVsnr

          public void setVsnr(String vsnr)

    - #### getVorname

          public String getVorname()

      Vorname der Patientin.
      Format: maximal 70-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Vorname

    - #### setVorname

          public void setVorname(String vorname)

    - #### getZuname

          public String getZuname()

      Zuname / Familienname der Patientin.
      Format: maximal 70-Zeichen
      Angabe: Muss.
      Returns:
        Freitext Zuname

    - #### setZuname

          public void setZuname(String zuname)

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vor dem Namen.
      Fromat: maximal 30-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Titel vorne

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinter dem Namen.
      Format: maximal 30-Zeichen
      Angabe: Kann.
      Returns:
        Titel hinten

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum der Patientin.
      Format: TT.MM.JJJJ
      Angabe: Kann.
      Returns:
        Geburtsdatum

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)